Bug 486560 - Installer is unable to restart database during 500 -> 530 upgrade
Installer is unable to restart database during 500 -> 530 upgrade
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Jeff Browning
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2009-02-20 05:08 EST by Milan Zazrivec
Modified: 2009-08-27 13:33 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:33:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch solving the problem (947 bytes, text/plain)
2009-02-20 10:44 EST, Milan Zazrivec
no flags Details

  None (edit)
Description Milan Zazrivec 2009-02-20 05:08:03 EST
Description of problem:
When upgrading Satellite 500 to Satellite-5.3.0-RHEL4-re20090213 installer
throws an error right after database upgrade just before it wants to
setup databse connection:

...
* Setting up database.
** Database: Upgrading the database server to Oracle 10g:
** Database: This is a long process that is logged in:
** Database: /var/log/rhn/upgrade_db.log
*** Progress: ###############################################################
** Database: Setting up database connection.
Could not connect to the database.  Your connection information may be incorrect.  Error: DBI connect('rhnsat','rhnsat',...) failed: ORA-12505: TNS:listener does not currently know of SID given in connect descriptor (DBD ERROR: OCIServerAttach) at /usr/lib/perl5/vendor_perl/5.8.5/Spacewalk/Setup.pm line 1137

Version-Release number of selected component (if applicable):
spacewalk-setup-0.5.11-1.el4sat
oracle-server-i386-10.2.0.4-32.el4sat

How reproducible:
Always

Steps to Reproduce:
1. Install Satellite 5.0.0 (or anything else on RHEL-4 with Oracle 9i)
2. Upgrade to some of the recent Satellite 5.3.0 builds
  
Actual results:
Installer is unable to restart oracle service (the oracle database) putting
following message at the end of /var/log/rhn/upgrade-db.log:
...
SQL> SQL> Connected.
SQL> Database closed.
Database dismounted.
ORACLE instance shut down.
SQL> SQL> 
Disconnected from Oracle Database 10g Enterprise Edition Release 10.2.0.4.0 - Pr
oduction
With the Partitioning, OLAP, Data Mining and Real Application Testing options
+ service oracle restart
Shutdown Oracle: runuser: cannot set groups: Operation not permitted
[FAILED]
Starting Oracle: runuser: cannot set groups: Operation not permitted
[FAILED]
+ set +x

Expected results:
Database starts, upgrade continues.

Additional info:
N/A
Comment 1 Milan Zazrivec 2009-02-20 10:44:21 EST
Created attachment 332719 [details]
patch solving the problem
Comment 2 Clifford Perry 2009-02-20 11:58:06 EST
approved to proceed with fix for upgrades :)
Comment 3 Milan Zazrivec 2009-02-23 06:06:49 EST
spacewalk.git master: fbde2bfc8f25dae99e9ff9e17535d58b7f7b0c7a
Comment 4 Jeff Browning 2009-06-16 16:32:41 EDT
Verified

Note You need to log in before you can comment on or make changes to this bug.